    clear all;


%% Constants
Er = 10.5 - j*0.3; 
Ur = 1.2-j*0.5;                    %permability
E0=8.8541878176e-12;            %permittivity of vacum
U0=4*pi*10^-7;                  %permability of vacum
c=3e8;                          %speed of light
f=10e9;                          %frequency
la=c/f;                         %wavelength
w = 2*pi*f;                     %angular fequency
T = 0:0.0000001:.01;
Zr = sqrt((Ur*U0)/(Er*E0))     %intrinsic impedance 
Yr = ((j*w)/c)*(sqrt(Er*Ur));   %The propagation constant 

Zin=(Zr*tanh(Yr*T));            %input impedance


%% PLOT         
figure1 = figure('PaperSize',[20.98 29.68]);

subplot(2,1,1,'Parent',figure1,...
    'XTickLabel',{'0    ','1mm','2mm','3mm','4mm','5mm','6mm','7mm','8mm','9mm','10mm'});
box('on');
grid('on');
hold('all');
plot (T, real(Zin))
xlabel('Thickness T')
ylabel('Real part')
subplot(2,1,2,'Parent',figure1,...
    'XTickLabel',{'0    ','1mm','2mm','3mm','4mm','5mm','6mm','7mm','8mm','9mm','10mm'});
box('on');
grid('on');
hold('all');
plot (T, imag(Zin))
xlabel('Thickness T')
ylabel('Imaginary part')
